<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__esss__char__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_esss_char_t</compoundname>
    <includes local="no">cy_ble_ess.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__esss__char__t_1a49f608b0fc61fc9b64827de39b331488" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_esss_char_t::charHandle</definition>
        <argsstring />
        <name>charHandle</name>
        <briefdescription>
<para>Handles of Characteristic Value. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="196" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="196" />
      </memberdef>
      <memberdef id="structcy__stc__ble__esss__char__t_1a7a978268ab11414424867b30d7f8c4a5" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga7609ec9fd5973eadda6b98e8dfbda580">cy_ble_gatt_db_attr_handle_t</ref></type>
        <definition>cy_ble_gatt_db_attr_handle_t cy_stc_ble_esss_char_t::descrHandle[CY_BLE_ESS_DESCR_COUNT]</definition>
        <argsstring>[CY_BLE_ESS_DESCR_COUNT]</argsstring>
        <name>descrHandle</name>
        <briefdescription>
<para>Array of Descriptor handles. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="199" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="199" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>ESS Characteristic with descriptors. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="200" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" bodystart="193" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_ess.h" line="194" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__esss__char__t_1a49f608b0fc61fc9b64827de39b331488" virt="non-virtual"><scope>cy_stc_ble_esss_char_t</scope><name>charHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__esss__char__t_1a7a978268ab11414424867b30d7f8c4a5" virt="non-virtual"><scope>cy_stc_ble_esss_char_t</scope><name>descrHandle</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>